#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2018-04-11
#
# Check Point soft RAID metrics plugin
#

##############################################################################
#
# define units for perfdata
#
##############################################################################


##############################################################################
#
# define metrics for perfdata
#
##############################################################################

metric_info['checkpoint_raid_disk_id_0'] = {
    'title': _('Sync Disk 0'),
    'unit': '%',
    'color': '11/a',
}


metric_info['checkpoint_raid_disk_id_1'] = {
    'title': _('Sync Disk 1'),
    'unit': '%',
    'color': '21/a',
}

##############################################################################
#
# map perfdata to metric
#
##############################################################################

check_metrics['check_mk-checkpoint_raid'] = {
    'disk_id_0': {'name': 'checkpoint_raid_disk_id_0', },
    'disk_id_1': {'name': 'checkpoint_raid_disk_id_1', }
}

##############################################################################
#
# how to graph perdata
#
##############################################################################

graph_info.append({
    'title': _('Check Point soft RAID sync status'),
    'metrics': [
        ('checkpoint_raid_disk_id_0', 'area'),
        ('checkpoint_raid_disk_id_1', '-area'),
    ],
})

##############################################################################
#
# define perf-o-meter
#
##############################################################################


perfometer_info.append(('stacked', [
    {
        'type': 'linear',
        'segments': ['checkpoint_raid_disk_id_0',],
        'total': 100,
    },
    {
        'type': 'linear',
        'segments': ['checkpoint_raid_disk_id_1',],
        'total': 100,
    }
]))